
Redmine - Defect #37388

Not Able to Upload Files Using Google Chrome

2022-07-06 14:46 - Ryan Leong Yoon Kan

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.6.8

Description

Hi all,

Refer to my Redmine information below, I'm currently not able to upload certain files using Google Chrome. But Mozilla Firefox

working fine!!

I have check my access.log and error.log but no clue found.

Environment:

Redmine version                4.2.2.stable

Ruby version                   2.6.8-p205 (2021-07-07) [x64-mingw32]

Rails version                  5.2.6

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Git                            2.32.0

Filesystem

Redmine plugins:

no plugin installed

History

#1 - 2022-07-06 15:32 - Go MAEDA

- Category changed from Files to Attachments

- Status changed from New to Needs feedback

Please check log/production.log under the installation directory of Redmine.

#2 - 2022-07-07 05:26 - Ryan Leong Yoon Kan

- File Upload Error.png added

Go MAEDA wrote:

Please check log/production.log under the installation directory of Redmine.

 Hi, I tried to simulate the issue and capture the production.log as below:

Started PATCH "/redmine/issues/176" for 199.0.2.132 at 2022-07-07 11:18:02 +0800

Processing by IssuesController#update as HTML

Parameters: {"utf8"=>"âœ“",

"authenticity_token"=>"E979f7gKKj30p/XIY+cRdmZf0IBaFVPLAywdtIiQhRkE8w7wX1k+5yAMHXCQXVy9G8QK/EdAVY21U2/gYrhvxA==",

"form_update_triggered_by"=>"", "issue"=>{"is_private"=>"0", "project_id"=>"40", "tracker_id"=>"29", "subject"=>"Test by nss - 30 DEC 21",

"description"=>"test", "status_id"=>"7", "priority_id"=>"16", "assigned_to_id"=>"", "parent_issue_id"=>"", "start_date"=>"2021-12-30", "due_date"=>"",

"estimated_hours"=>"", "done_ratio"=>"0", "custom_field_values"=>{"2"=>"TestRef#4", "14"=>"", "30"=>"", "32"=>""}, "notes"=>"",

"private_notes"=>"0", "lock_version"=>"8"}, "was_default_status"=>"7", "time_entry"=>{"hours"=>"", "activity_id"=>"", "comments"=>"",

"custom_field_values"=>{"125"=>""}}, "attachments"=>{"1"=>{"filename"=>"Sheet 1 QR.xlsx", "description"=>"",

"token"=>"9581.0b121ced6cbe1858004cb5252951e6cefd8d4a6c22ff2998ed05c5d10ce6b428"}, "2"=>{"filename"=>"Sheet 1.xlsx", "description"=>"",

"token"=>""}}, "last_journal_id"=>"39171", "commit"=>"Submit", "issue_position"=>"1", "issue_count"=>"1", "id"=>"176"}

Current user: nss (id=107)

[ActiveJob] Enqueued ActionMailer::DeliveryJob (Job ID: 1814e423-4839-4de0-b29f-e02eddd4c70d) to Async(mailers) with arguments: "Mailer",

"issue_edit", "deliver_now", #<GlobalID:0x000001eefb925a90 昇吾 津江=#<URI::GID gid://redmine-app/User/107>>, #<GlobalID:0x000001eefb925180 
昇吾 津江=#<URI::GID gid://redmine-app/Journal/39482>>

Redirected to https://qrredmine.qrra.com/redmine/issues/176?issue_count=1&issue_position=1

Completed 302 Found in 184ms (ActiveRecord: 52.3ms)

[ActiveJob] [ActionMailer::DeliveryJob] [1814e423-4839-4de0-b29f-e02eddd4c70d] Performing ActionMailer::DeliveryJob (Job ID:

1814e423-4839-4de0-b29f-e02eddd4c70d) from Async(mailers) with arguments: "Mailer", "issue_edit", "deliver_now",

#<GlobalID:0x000001eefb9568e8 昇吾 津江=#<URI::GID gid://redmine-app/User/107>>, #<GlobalID:0x000001eefb955f88 昇吾 津江=#<URI::GID

gid://redmine-app/Journal/39482>>

Started GET "/redmine/issues/176?issue_count=1&issue_position=1" for 199.0.2.132 at 2022-07-07 11:18:02 +0800

Processing by IssuesController#show as HTML

Parameters: {"issue_count"=>"1", "issue_position"=>"1", "id"=>"176"}

[ActiveJob] [ActionMailer::DeliveryJob] [1814e423-4839-4de0-b29f-e02eddd4c70d]   Rendering mailer/issue_edit.text.erb within layouts/mailer

Current user: nss (id=107)

[ActiveJob] [ActionMailer::DeliveryJob] [1814e423-4839-4de0-b29f-e02eddd4c70d]   Rendered mailer/_issue.text.erb (28.4ms)

[ActiveJob] [ActionMailer::DeliveryJob] [1814e423-4839-4de0-b29f-e02eddd4c70d]   Rendered mailer/issue_edit.text.erb within layouts/mailer

(29.9ms)

[ActiveJob] [ActionMailer::DeliveryJob] [1814e423-4839-4de0-b29f-e02eddd4c70d]   Rendering mailer/issue_edit.html.erb within layouts/mailer

[ActiveJob] [ActionMailer::DeliveryJob] [1814e423-4839-4de0-b29f-e02eddd4c70d]   Rendered mailer/_issue.html.erb (9.2ms)

[ActiveJob] [ActionMailer::DeliveryJob] [1814e423-4839-4de0-b29f-e02eddd4c70d]   Rendered mailer/issue_edit.html.erb within layouts/mailer

(10.5ms)

[ActiveJob] [ActionMailer::DeliveryJob] [1814e423-4839-4de0-b29f-e02eddd4c70d] Performed ActionMailer::DeliveryJob (Job ID:

1814e423-4839-4de0-b29f-e02eddd4c70d) from Async(mailers) in 79.79ms

Rendering issues/show.html.erb within layouts/base

Rendered issues/_action_menu.html.erb (4.5ms)

Rendered attachments/_links.html.erb (4.9ms)

Rendered issue_relations/_form.html.erb (0.8ms)

Rendered issues/_relations.html.erb (1.2ms)

Rendered issues/tabs/_history.html.erb (29.7ms)

Rendered common/_tabs.html.erb (30.4ms)

Rendered issues/_action_menu.html.erb (2.0ms)

Rendered issues/_trackers_description.html.erb (0.6ms)

Rendered issues/_form_custom_fields.html.erb (1.4ms)

Rendered issues/_attributes.html.erb (24.4ms)

Rendered issues/_form.html.erb (45.8ms)

Rendered attachments/_form.html.erb (1.4ms)

Rendered issues/_edit.html.erb (59.7ms)

Rendered issues/_action_menu_edit.html.erb (62.1ms)

Rendered issues/_sidebar.html.erb (5.7ms)

Rendered watchers/_watchers.html.erb (2.8ms)

Rendered issues/show.html.erb within layouts/base (135.9ms)

Completed 200 OK in 336ms (Views: 127.3ms | ActiveRecord: 84.6ms)

Also I have attached the screenshot uploading the file and prompt error.

Thank you.

#3 - 2022-07-14 08:13 - jianshe sun

!!

Files
